#!/bin/bash

server_address="$1"
port_number="$2"

if [[ -z "$server_address" || -z "$port_number" ]]; then
  echo "Usage: $0 <server_address> <port_number>"
  exit 1
fi

while read -r hex_input; do
  echo "$hex_input" | xxd -r -p | socat -u - "TCP:$server_address:$port_number,crnl" | xxd -p
done